Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Equal_To< char * > Class Template Reference

Function object for determining whether two non-const strings are equal. More...

`#include <Functor.h>`

List of all members.

## Public Member Functions
int | operator() (const char *lhs, const char *rhs) const
| Simply calls ACE_OS::strcmp.

## Detailed Description

### template<>
class ACE_Equal_To< char * >

Function object for determining whether two non-const strings are equal.

## Member Function Documentation

ACE_INLINE int ACE_Equal_To< char * >::operator() | ( | const char * | lhs,
|  | const char * | rhs
| ) | const

| Simply calls ACE_OS::strcmp.

The documentation for this class was generated from the following files:

- Functor.h
- Functor.inl